For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inTalk to sales
GuidesAPI Reference
  • Introduction
    • Getting started
  • API Reference
      • POSTCreate a Business User
      • GETRetrieve a Business User
  • Webhooks
LogoLogo
Log inTalk to sales
API ReferenceBusiness Users

Create a Business User

POST
/business/users
POST
/business/users
$curl -X POST https://sandbox.api.flagright.com/business/users \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "userId": "string",
> "createdTimestamp": 2220000000000,
> "legalEntity": {
> "companyGeneralDetails": {
> "legalName": "Ozkan Hazelnut Export JSC",
> "businessIndustry": [
> "Farming"
> ],
> "secondaryBusinessIndustry": [
> "Food Processing"
> ],
> "mainProductsServicesSold": [
> "Hazelnut"
> ]
> }
> }
>}'
1{
2 "userId": "96647cfd9e8fe66ee0f3362e011e34e8"
3}
## POST Business User `/business/user` endpoint allows you to operate on the Business user entity. In order to pass the payload of a User to Flagright and verify the User, you will need to call this endpoint with the User payload. Not all fields are mandatory, you will only need to pass in the fields that you have and are relevant for your compliance setup. ### Payload Each business user needs three mandatory fields: * `userId` - Unique identifier for the user * `legalEntity` - Details of the business legal entity (CompanyGeneralDetails, FinancialDetails etc) - only `legalName`in `CompanyGeneralDetails` is mandatory * `createdTimestamp` - UNIX timestamp in *milliseconds* for when the User is created in your system
Was this page helpful?
Previous

Retrieve a Business User

Next
Built with

POST Business User

/business/user endpoint allows you to operate on the Business user entity.

In order to pass the payload of a User to Flagright and verify the User, you will need to call this endpoint with the User payload. Not all fields are mandatory, you will only need to pass in the fields that you have and are relevant for your compliance setup.

Payload

Each business user needs three mandatory fields:

  • userId - Unique identifier for the user
  • legalEntity - Details of the business legal entity (CompanyGeneralDetails, FinancialDetails etc) - only legalNamein CompanyGeneralDetails is mandatory
  • createdTimestamp - UNIX timestamp in milliseconds for when the User is created in your system

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Query parameters

lockCraRiskLevelenumOptional
Boolean string whether Flagright should lock the CRA risk level for the user.
Allowed values:
lockKycRiskLevelenumOptional
Boolean string whether Flagright should lock the KYC risk level for the user.
Allowed values:
validateUserIdenumOptional
Boolean string whether Flagright should validate the userId
Allowed values:

Request

userIdstringRequired>=1 character
Unique user ID for the user
createdTimestampdoubleRequired315529200000-4133890801000
Timestamp when the user was created
legalEntityobjectRequired
Model for business user legal entity details
activatedTimestampdoubleOptional315529200000-4133890801000
Timestamp when the user was activated
userStateDetailsobjectOptional
kycStatusDetailsobjectOptional
eoddDatedoubleOptional315529200000-4133890801000
corporateEntitieslist of objectsOptional
Corporate entities of the user
shareHolderslist of objectsOptional

Shareholders (beneficiaries) of the company that hold at least 25% ownership. Can be another company or an individual

directorslist of objectsOptional

Director(s) of the company. Must be at least one

associatedPartieslist of objectsOptional
Parties associated with the company. Can be another company or an individual
businessPartnerslist of objectsOptional
Business partners of the company
transactionLimitsobjectOptional
Model for transaction limits for a given user
expectedTransactionCountriesobjectOptional
Model for expected transaction countries
expectedTransactionCurrenciesobjectOptional
Model for expected transaction currencies
riskLevelenumOptional
Allowed values:
kycRiskLevelenumOptional
Allowed values:
allowedPaymentMethodslist of enumsOptional
linkedEntitiesobjectOptional
acquisitionChannelenumOptional
Model for User acquisition channel
savedPaymentDetailslist of objectsOptional
mccDetailsobjectOptional
tagslist of objectsOptional
Additional information that can be added via tags
attachmentslist of objectsOptional
User's attachments uploaded by business user
metaDataobjectOptional
Model for device data
jurisdictionstringOptional
Legal authority or region governing the transaction
productsEnabledlist of objectsOptional
pepStatuslist of objectsOptional
sanctionsStatusbooleanOptional
Whether the user is sanctioned
adverseMediaStatusbooleanOptional
Whether the user is in the adverse media list
externalLinkslist of stringsOptional
External links related to the business user

Response

Created
userIdstring>=1 character
user ID the risk score pertains to
riskScoreDetailsobject
hitRuleslist of objects
executedRuleslist of objects
messagestring

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error